// Oleg Petruny proprietary.

#pragma once

#include "LevelBase.h"

#include "Level1.generated.h"

UCLASS(BlueprintType)
class ALevel1 : public ALevelBase
{
    GENERATED_BODY()

protected:
    virtual void BeginPlay() override;

    UFUNCTION(BlueprintCallable)
    void TurnLight(bool show);
    UFUNCTION(BlueprintCallable)
    void TurnFog(bool show);

    UPROPERTY(EditDefaultsOnly)
    TSoftObjectPtr<class ADirectionalLight> directLight;
    UPROPERTY(EditDefaultsOnly)
    TSoftObjectPtr<class AAtmosphericFog> fog;
    UPROPERTY(EditDefaultsOnly)
    TSoftObjectPtr<class AExponentialHeightFog> fog2;

};
